Bug 814916 - Review Request: sratom - a C library for serializing LV2 plugins
Review Request: sratom - a C library for serializing LV2 plugins
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: 814542
Blocks: FedoraAudio 797418 814924
  Show dependency treegraph
 
Reported: 2012-04-21 06:07 EDT by Brendan Jones
Modified: 2012-05-27 21:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:22:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mattias.ellert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-04-21 06:07:24 EDT
sratom is a C library for serializing LV2 atoms to/from Turtle. It is
intended to be a full serialization solution for LV2 atoms, allowing
implementations to serialise binary atoms to strings and read them back again.
This is particularly useful for saving plugin state, or implementing plugin
control with network transparency.

This is a dependency for the new upstream release of package lilv (0.14.0).

SPEC: http://bsjones.fedorapeople.org/lv2/sratom.spec
SRPM: http://bsjones.fedorapeople.org/lv2/sratom-0.2.0-1.fc16.src.rpm

rpmlint /home/bsjones/rpmbuild/SRPMS/sratom-0.2.0-1.fc16.src.rpm /home/bsjones/rpmbuild/RPMS/x86_64/sratom-0.2.0-1.fc16.x86_64.rpm /home/bsjones/rpmbuild/RPMS/x86_64/sratom-devel-0.2.0-1.fc16.x86_64.rpm /home/bsjones/rpmbuild/RPMS/x86_64/sratom-debuginfo-0.2.0-1.fc16.x86_64.rpm

4 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Brendan Jones 2012-04-21 17:19:47 EDT
Build requirements exist in rawhide only for the moment
Comment 2 Orcan Ogetbil 2012-04-21 21:00:43 EDT
Hi, could you clarify why this blocks qtractor?
Comment 3 Orcan Ogetbil 2012-04-21 23:44:55 EDT
I see that the new lilv requires sratom, but I don't think qtractor requires the new lilv specifically.
Comment 4 Brendan Jones 2012-04-22 02:45:44 EDT
That's right - not specifically, I just wanted to hold up the qtractor review against the new LV2 (lv2/lilv/suil) updates. Up until now qtractor is the only package that is using suil/lilv.
Comment 5 Orcan Ogetbil 2012-04-22 11:43:11 EDT
I made a full review on this, but I see that Mattias is already assigned to the bug. I'll post my findings anyways:

! rpmlint says:
   sratom.x86_64: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
   sratom.x86_64: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
   sratom.src: W: spelling-error Summary(en_US) serialising -> serializing, serialization
There was a requirement that says the spec file must be written in American English, so I guess we should use serializ*

* Need to add 
   BuildRequires:  serd-devel >= 0.14.0


Other than the above, the package is good to go.
Comment 6 Mattias Ellert 2012-04-22 15:40:58 EDT
Fedora Review sratom 2012-04-22

$ rpmlint sratom*.rpm
sratom.src: W: spelling-error Summary(en_US) serialising -> serializing, serialization
sratom.src: W: spelling-error %description -l en_US serialising -> serializing, serialization
sratom.src: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
sratom.src: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
sratom.x86_64: W: spelling-error Summary(en_US) serialising -> serializing, serialization
sratom.x86_64: W: spelling-error %description -l en_US serialising -> serializing, serialization
sratom.x86_64: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
sratom.x86_64: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
sratom-devel.x86_64: W: spelling-error %description -l en_US serialising -> serializing, serialization
sratom-devel.x86_64: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
sratom-devel.x86_64: W: spelling-error %description -l en_US serialise -> serialize, serial, aerialist
4 packages and 0 specfiles checked; 0 errors, 11 warnings.

Clean except for American English spelling in Summary and Description.


+ Package name according to guidelines
+ Specfile named after package
+ Package license (MIT) Fedora approved
+ Package license reflects license as stated in the sources
+ License file (COPYING) included as %doc

- Specfile uses British spelling in summary and description
  This should be changed to American spelling according to guidelines
  See also the rpmlint report above

+ Specfile is readable
+ Source matches upstream

$ md5sum sratom-0.2.0.tar.bz2 srpm/sratom-0.2.0.tar.bz2 
c03cf2849186818610ffe889be4f5b55  sratom-0.2.0.tar.bz2
c03cf2849186818610ffe889be4f5b55  srpm/sratom-0.2.0.tar.bz2

- Package fail to build due to missing BuildRequires: python

./waf configure -v --prefix=/usr --libdir=/usr/lib64 --mandir=/usr/share/man --datadir=/usr/share --docdir=/usr/share/doc/sratom-devel-0.2.0 --test --docs
/usr/bin/env: python: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.3g1rbM (%build)

[ Also my rebuild of the lv2 package on which this package depends failed with the same error ]

+ No locales
+ Scriptlets call ldconfig
+ No bundled libraries
+ Package owns directories it creates
+ No duplicates in %files
+ File permissions are sane
+ Specfile uses macros consistently
+ Contains code
+ Documentation is in -devel, though can be considered small
+ %doc not runtime essential
+ No static libraries
+ Headers and develoment library symlinks in -devel
+ -devel requires main with fully qualified version
+ No .la files
+ Package does not own ohters' libraries
+ Filenames valid UTF8

Summary:

Fix American spelling and add missing BR on python
Comment 7 Brendan Jones 2012-04-23 07:46:34 EDT
SPEC: http://bsjones.fedorapeople.org/lv2/sratom.spec
SRPM: http://bsjones.fedorapeople.org/lv2/sratom-0.2.0-2.fc16.src.rpm

I've addressed the issues you picked up. Apologies for the missing BR.

I've discovered a bug in the build tests for i686, and this will currently fail in mock. Seems to be OK for x86_64. I'll work through this with upstream and get it patched.
Comment 8 Mattias Ellert 2012-04-24 11:22:28 EDT
Package approved.
Comment 9 Brendan Jones 2012-04-29 15:25:56 EDT
Thanks for taking this review

New Package SCM Request
=======================
Package Name: sratom
Short Description: A C library for serializing LV2 atoms
Owners: bsjones
Branches: f16 f17
InitialCC:
Comment 10 Jon Ciesla 2012-04-29 17:00:03 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-05-15 01:55:06 EDT
sratom-0.2.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sratom-0.2.0-3.fc17
Comment 12 Fedora Update System 2012-05-15 12:41:56 EDT
sratom-0.2.0-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 13 Fedora Update System 2012-05-27 21:22:13 EDT
sratom-0.2.0-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.